Index: /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat	(revision 3497)
@@ -3,8 +3,12 @@
   <sc:name>AdelheidTag</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>production</sc:status>
   <sc:tag type="group">Adelheid</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-0012-8</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-0012-8</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="r"/>
+    <sc:all actions="r"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/CGN/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/CGN/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/CGN/index.schemacat	(revision 3497)
@@ -3,8 +3,12 @@
   <sc:name>CGN</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>development</sc:status>
   <sc:tag type="group">Corpus Gesproken Nederlands</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-004A-A</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-004A-A</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="rud"/>
+    <sc:all actions="r"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/TEI-header-2.1.0/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/TEI-header-2.1.0/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/TEI-header-2.1.0/index.schemacat	(revision 3497)
@@ -3,8 +3,12 @@
   <sc:name>TEI-header</sc:name>
   <sc:version>2.1.0</sc:version>
+  <sc:description/>
   <sc:status>development</sc:status>
   <sc:pid/>
   <sc:tag type="group">TEI 2.1.0</sc:tag>
-  <sc:owner type="user" ref="u1"/>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="rud"/>
+    <sc:all actions="r"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat	(revision 3497)
@@ -3,8 +3,12 @@
   <sc:name>adelheid-charstream</sc:name>
   <sc:version/>
+  <sc:description>Schema for an Adelheid Character Stream document. Such a document consists of a TEI Header, and a body of character streams for one or more manuscript.</sc:description>
   <sc:status>production</sc:status>
   <sc:tag type="group">Adelheid</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-000F-1</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-000F-1</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="r"/>
+    <sc:all actions="r"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat	(revision 3497)
@@ -3,8 +3,12 @@
   <sc:name>adelheid-document</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>production</sc:status>
   <sc:tag type="group">Adelheid</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-0010-C</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-0010-C</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="r"/>
+    <sc:all actions="r"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat	(revision 3497)
@@ -3,8 +3,12 @@
   <sc:name>adelheid-lexicon</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>production</sc:status>
   <sc:tag type="group">Adelheid</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-0011-A</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-0011-A</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="r"/>
+    <sc:all actions="r"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat	(revision 3497)
@@ -3,8 +3,12 @@
   <sc:name>avatech-timeseries</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>production</sc:status>
   <sc:tag type="group">AVATecH</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-0014-4</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-0014-4</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="r"/>
+    <sc:all actions="r"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat	(revision 3497)
@@ -3,8 +3,12 @@
   <sc:name>avatech-tier</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>production</sc:status>
   <sc:tag type="group">AVATecH</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-0013-6</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">hdl:1839/00-SCHM-0000-0000-0013-6</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="r"/>
+    <sc:all actions="r"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat	(revision 3497)
@@ -3,8 +3,11 @@
   <sc:name>sonar-cgn</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>development</sc:status>
   <sc:tag type="group">SONAR</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-000B-9</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-000B-9</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="rud"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat	(revision 3497)
@@ -3,8 +3,11 @@
   <sc:name>sonar-events</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>development</sc:status>
   <sc:tag type="group">SONAR</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-000A-B</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-000A-B</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="rud"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat	(revision 3497)
@@ -3,8 +3,11 @@
   <sc:name>sonar-lemmas</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>development</sc:status>
   <sc:tag type="group">SONAR</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-000E-3</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-000E-3</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="rud"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat	(revision 3496)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat	(revision 3497)
@@ -3,8 +3,11 @@
   <sc:name>sonar-ne</sc:name>
   <sc:version/>
+  <sc:description/>
   <sc:status>development</sc:status>
   <sc:tag type="group">SONAR</sc:tag>
-  <sc:pid>hdl:1839/00-SCHM-0000-0000-000D-5</sc:pid>
-  <sc:owner type="user" ref="u1"/>
+  <sc:pid type="handle">1839/00-SCHM-0000-0000-000D-5</sc:pid>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="rud"/>
+  </sc:access>
   <sc:files>
     <sc:file type="main">
Index: /cats/SCHEMAcat/trunk/data/types.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/types.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/types.schemacat	(revision 3497)
@@ -0,0 +1,32 @@
+<sc:types xmlns:sc="http://www.isocat.org/ns/schemacat">
+  <sc:type xml:id="relaxng">
+    <sc:name>Relax NG</sc:name>
+    <sc:version>ISO/IEC 19757-2:2008</sc:version>
+    <sc:description></sc:description>
+    <sc:mime>application/xml</sc:mime>
+    <sc:link type="spec" href="http://standards.iso.org/ittf/PubliclyAvailableStandards/c052348_ISO_IEC_19757-2_2008(E).zip">ISO/IEC 19757-2:2008 Information technology -- Document Schema Definition Language (DSDL) -- Part 2: Regular-grammar-based validation -- RELAX NG</sc:link>
+    <sc:link type="home" href="http://relaxng.org/"/>
+    <sc:link type="see" href="http://books.xmlschemata.org/relaxng/">RELAX NG by Eric van der Vlist for O'Reilly (Free Documentation Licence).</sc:link>
+  </sc:type>
+  <sc:type xml:id="FOLiA-set-def">
+    <sc:name>FOLiA set definition</sc:name>
+    <sc:version>alpha</sc:version>
+    <sc:description></sc:description>
+    <sc:mime>application/xml</sc:mime>
+  </sc:type>
+  <sc:type xml:id="iso-ebnf">
+    <sc:name>EBNF</sc:name>
+    <sc:version>ISO 14977:1996</sc:version>
+    <sc:description></sc:description>
+    <sc:mime>text/plain</sc:mime>
+    <sc:link type="spec" href="http://standards.iso.org/ittf/PubliclyAvailableStandards/s026153_ISO_IEC_14977_1996(E).zip">ISO/IEC 14977:1996 Information technology -- Syntactic metalanguage -- Extended BNF</sc:link>
+  </sc:type>
+  <sc:type xml:id="xsd-1.0">
+    <sc:name>XML Schema</sc:name>
+    <sc:version>1.0</sc:version>
+    <sc:description></sc:description>
+    <sc:mime>application/xml</sc:mime>
+    <sc:link type="spec" href="http://www.w3.org/TR/xmlschema-1/">XML Schema Part 1: Structures Second Edition</sc:link>
+    <sc:link type="home" href="http://www.w3.org/XML/Schema"/>
+  </sc:type>
+</sc:types>