Index: /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s4">
   <sc:name>AdelheidTag</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/CGN/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/CGN/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/CGN/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s7">
   <sc:name>CGN</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/TEI-header-2.1.0/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/TEI-header-2.1.0/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/TEI-header-2.1.0/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s12">
   <sc:name>TEI-header</sc:name>
   <sc:version>2.1.0</sc:version>
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s1">
   <sc:name>adelheid-charstream</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s2">
   <sc:name>adelheid-document</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s3">
   <sc:name>adelheid-lexicon</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s5">
   <sc:name>avatech-timeseries</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s6">
   <sc:name>avatech-tier</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s8">
   <sc:name>sonar-cgn</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s9">
   <sc:name>sonar-events</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s10">
   <sc:name>sonar-lemmas</sc:name>
   <sc:version/>
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat	(revision 3497)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat	(revision 3498)
@@ -1,4 +1,4 @@
 <?xml-model href=""?>
-<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat">
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s11">
   <sc:name>sonar-ne</sc:name>
   <sc:version/>