Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/isAuthorized.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/isAuthorized.dpml	(revision 3508)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/isAuthorized.dpml	(revision 3509)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<sequence debug="true">
+<sequence debug="false">
     <sloot-debug>
         <request>
@@ -41,20 +41,27 @@
         </argument>
     </request>
+    <log>
+        <level>INFO</level>
+        <message>
+            <literal type="string">[interface.REST] [%1] authorized to access resource: [%2]</literal>
+        </message>
+        <param>
+            <request>
+                <identifier>active:sloot.xpath2</identifier>
+                <argument name="operand">scratch:user</argument>
+                <!-- get the user id -->
+                <argument name="operator">
+                    <literal type="string">string(/sc:user/@xml:id)</literal>
+                </argument>
+            </request>
+        </param>
+        <param>this:response</param>
+    </log>
     <sloot-debug>
         <log>
             <level>INFO</level>
             <message>
-                <literal type="string">[interface.REST] [%1] authorized to access resource.&#xA;Authorized IDs:&#xA;[&#xA;%2]&#xA;Authorized roles:&#xA;[&#xA;%3]&#xA;=> [%4]</literal>
+                <literal type="string">[interface.REST]&#xA;Authorized IDs:&#xA;[&#xA;%1]&#xA;Authorized roles:&#xA;[&#xA;%2]</literal>
             </message>
-            <param>
-                <request>
-                    <identifier>active:sloot.xpath2</identifier>
-                    <argument name="operand">scratch:user</argument>
-                    <!-- get the user id -->
-                    <argument name="operator">
-                        <literal type="string">string(/sc:user/@xml:id)</literal>
-                    </argument>
-                </request>
-            </param>
             <param>arg:authorizedIDs</param>
             <param>
@@ -71,5 +78,4 @@
                 </request>
             </param>
-            <param>this:response</param>
         </log>
     </sloot-debug>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/publicSchemas.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/publicSchemas.dpml	(revision 3508)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/publicSchemas.dpml	(revision 3509)
@@ -1,25 +1,23 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<sequence debug="true">
-	<sloot-debug>
-		<log>
-			<level>INFO</level>
-			<message>
-				<literal type="string">[interface.REST] [%1] requested list of public schemas.</literal>
-			</message>
-			<param>				
-				<request>
-					<identifier>active:sloot.xpath2</identifier>
-					<argument name="operand">scratch:user</argument>
-					<argument name="operator">
-						<literal type="string">string(/sc:user/@xml:id)</literal>
-					</argument>
-				</request>
-			</param>
-		</log>
-	</sloot-debug>
+<sequence debug="false">
+	<log>
+		<level>INFO</level>
+		<message>
+			<literal type="string">[interface.REST] [%1] requested list of public schemas.</literal>
+		</message>
+		<param>
+			<request>
+				<identifier>active:sloot.xpath2</identifier>
+				<argument name="operand">scratch:user</argument>
+				<argument name="operator">
+					<literal type="string">string(/sc:user/@xml:id)</literal>
+				</argument>
+			</request>
+		</param>
+	</log>
 	<request assignment="response">
 		<identifier>active:org.isocat.schemacat.access.data.schemas</identifier>
 		<argument name="userID">
-			<literal type="string"></literal>
+			<literal type="string"/>
 		</argument>
 	</request>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/schemas.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/schemas.dpml	(revision 3508)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/schemas.dpml	(revision 3509)
@@ -1,21 +1,19 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <sequence debug="false">
-	<sloot-debug>
-		<log>
-			<level>INFO</level>
-			<message>
-				<literal type="string">[interface.REST] [%1] requested list of schemas.</literal>
-			</message>
-			<param>
-				<request>
-					<identifier>active:sloot.xpath2</identifier>
-					<argument name="operand">scratch:user</argument>
-					<argument name="operator">
-						<literal type="string">string(/sc:user/@xml:id)</literal>
-					</argument>
-				</request>
-			</param>
-		</log>
-	</sloot-debug>
+	<log>
+		<level>INFO</level>
+		<message>
+			<literal type="string">[interface.REST] [%1] requested list of schemas.</literal>
+		</message>
+		<param>
+			<request>
+				<identifier>active:sloot.xpath2</identifier>
+				<argument name="operand">scratch:user</argument>
+				<argument name="operator">
+					<literal type="string">string(/sc:user/@xml:id)</literal>
+				</argument>
+			</request>
+		</param>
+	</log>
 	<if>
 		<cond>
@@ -24,5 +22,5 @@
 				<argument name="authorizedIDs">
 					<literal type="xml">
-						<ids></ids>
+						<ids/>
 					</literal>
 				</argument>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/user.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/user.dpml	(revision 3508)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/user.dpml	(revision 3509)
@@ -1,22 +1,20 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <sequence debug="false">
-	<sloot-debug>
-		<log>
-			<level>INFO</level>
-			<message>
-				<literal type="string">[interface.REST] [%1] requested user resource for id: %2</literal>
-			</message>
-			<param>
-				<request>
-					<identifier>active:sloot.xpath2</identifier>
-					<argument name="operand">scratch:user</argument>
-					<argument name="operator">
-						<literal type="string">string(/sc:user/@xml:id)</literal>
-					</argument>
-				</request>
-			</param>
-			<param>arg:userID</param>
-		</log>
-	</sloot-debug>
+	<log>
+		<level>INFO</level>
+		<message>
+			<literal type="string">[interface.REST] [%1] requested user resource for id: [%2]</literal>
+		</message>
+		<param>
+			<request>
+				<identifier>active:sloot.xpath2</identifier>
+				<argument name="operand">scratch:user</argument>
+				<argument name="operator">
+					<literal type="string">string(/sc:user/@xml:id)</literal>
+				</argument>
+			</request>
+		</param>
+		<param>arg:userID</param>
+	</log>
 	<if>
 		<cond>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/userSchemas.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/userSchemas.dpml	(revision 3508)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/userSchemas.dpml	(revision 3509)
@@ -1,22 +1,20 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <sequence debug="false">
-	<sloot-debug>
-		<log>
-			<level>INFO</level>
-			<message>
-				<literal type="string">[interface.REST] [%1] requested schemas for user id: %2</literal>
-			</message>
-			<param>
-				<request>
-					<identifier>active:sloot.xpath2</identifier>
-					<argument name="operand">scratch:user</argument>
-					<argument name="operator">
-						<literal type="string">string(/sc:user/@xml:id)</literal>
-					</argument>
-				</request>
-			</param>
-			<param>arg:userID</param>
-		</log>
-	</sloot-debug>
+	<log>
+		<level>INFO</level>
+		<message>
+			<literal type="string">[interface.REST] [%1] requested schemas for user id: [%2]</literal>
+		</message>
+		<param>
+			<request>
+				<identifier>active:sloot.xpath2</identifier>
+				<argument name="operand">scratch:user</argument>
+				<argument name="operator">
+					<literal type="string">string(/sc:user/@xml:id)</literal>
+				</argument>
+			</request>
+		</param>
+		<param>arg:userID</param>
+	</log>
 	<if>
 		<cond>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/users.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/users.dpml	(revision 3508)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.interface.rest/interface/users.dpml	(revision 3509)
@@ -1,21 +1,19 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <sequence debug="false">
-	<sloot-debug>
-		<log>
-			<level>INFO</level>
-			<message>
-				<literal type="string">[interface.REST] [%1] requested users list.</literal>
-			</message>
-			<param>
-				<request>
-					<identifier>active:sloot.xpath2</identifier>
-					<argument name="operand">scratch:user</argument>
-					<argument name="operator">
-						<literal type="string">string(/sc:user/@xml:id)</literal>
-					</argument>
-				</request>
-			</param>
-		</log>
-	</sloot-debug>
+	<log>
+		<level>INFO</level>
+		<message>
+			<literal type="string">[interface.REST] [%1] requested users list.</literal>
+		</message>
+		<param>
+			<request>
+				<identifier>active:sloot.xpath2</identifier>
+				<argument name="operand">scratch:user</argument>
+				<argument name="operator">
+					<literal type="string">string(/sc:user/@xml:id)</literal>
+				</argument>
+			</request>
+		</param>
+	</log>
 	<if>
 		<cond>
@@ -24,5 +22,5 @@
 				<argument name="authorizedIDs">
 					<literal type="xml">
-						<ids></ids>
+						<ids/>
 					</literal>
 				</argument>