Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/schemas.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/schemas.dpml	(revision 3510)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/schemas.dpml	(revision 3511)
@@ -1,13 +1,20 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<sequence debug="true">
-	<sloot-debug>
-		<log>
-			<level>INFO</level>
-			<message>
-				<literal type="string">[access.data] Requested schemas for user id: %1</literal>
-			</message>
-			<param>arg:userID</param>
-		</log>
-	</sloot-debug>
+<sequence debug="false">
+	<log>
+		<level>INFO</level>
+		<message>
+			<literal type="string">[access.data] [%1] requested schemas for user id: [%2]</literal>
+		</message>
+		<param>
+			<request>
+				<identifier>active:sloot.xpath2</identifier>
+				<argument name="operand">scratch:user</argument>
+				<argument name="operator">
+					<literal type="string">string(/sc:user/@xml:id)</literal>
+				</argument>
+			</request>
+		</param>
+		<param>arg:userID</param>
+	</log>	
 	<request assignment="response">
 		<identifier>active:org.basex.query</identifier>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/user.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/user.dpml	(revision 3510)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/user.dpml	(revision 3511)
@@ -56,9 +56,8 @@
 			<level>INFO</level>
 			<message>
-				<literal type="string">[access.data] User accessor verb: %1 with arguments:&#10;%2</literal>
+				<literal type="string">[access.data] User accessor verb: [%1] with arguments:&#10;[&#10;%2]</literal>
 			</message>
 			<param>arg:verb</param>
 			<param>this:arguments</param>
-			<!-- weird!! first call prints principal 2nd call print object id -->
 		</log>
 	</sloot-debug>
@@ -143,5 +142,5 @@
 					<level>INFO</level>
 					<message>
-						<literal type="string">[access.data] Created user[%1] for principal[%2]</literal>
+						<literal type="string">[access.data] Created user: [%1], for principal: [%2]</literal>
 					</message>
 					<param>this:new-user-id</param>
@@ -254,4 +253,30 @@
 			<!-- get the user information -->
 			<sequence>
+				<if>
+					<cond>
+						<request>
+							<verb>EXISTS</verb>
+							<identifier>scratch:user</identifier>
+						</request>
+					</cond>
+					<then>
+						<log>
+							<level>INFO</level>
+							<message>
+								<literal type="string">[interface.REST] [%1] requested user resource for id: [%2]</literal>
+							</message>
+							<param>
+								<request>
+									<identifier>active:sloot.xpath2</identifier>
+									<argument name="operand">scratch:user</argument>
+									<argument name="operator">
+										<literal type="string">string(/sc:user/@xml:id)</literal>
+									</argument>
+								</request>
+							</param>
+							<param>arg:id</param>
+						</log>
+					</then>
+				</if>
 				<request assignment="response">
 					<identifier>active:org.basex.query</identifier>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/users.dpml
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/users.dpml	(revision 3510)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.access.data/access/users.dpml	(revision 3511)
@@ -1,21 +1,19 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<sequence debug="true">
-	<sloot-debug>
-		<log>
-			<level>INFO</level>
-			<message>
-				<literal type="string">[access.data] Requested users list by id: %1</literal>
-			</message>
-			<param>
-				<request>
-					<identifier>active:sloot.xpath2</identifier>
-					<argument name="operand">scratch:user</argument>
-					<argument name="operator">
-						<literal type="string">string(/sc:user/@xml:id)</literal>
-					</argument>
-				</request>
-			</param>
-		</log>
-	</sloot-debug>
+<sequence debug="false">
+	<log>
+		<level>INFO</level>
+		<message>
+			<literal type="string">[access.data] [%1] requested users list.</literal>
+		</message>
+		<param>
+			<request>
+				<identifier>active:sloot.xpath2</identifier>
+				<argument name="operand">scratch:user</argument>
+				<argument name="operator">
+					<literal type="string">string(/sc:user/@xml:id)</literal>
+				</argument>
+			</request>
+		</param>
+	</log>
 	<request assignment="response">
 		<identifier>active:org.basex.query</identifier>