Index: monitoring/plugins/mpi/check_clarin_comp_reg.py
===================================================================
--- monitoring/plugins/mpi/check_clarin_comp_reg.py	(revision 4056)
+++ monitoring/plugins/mpi/check_clarin_comp_reg.py	(revision 4057)
@@ -8,12 +8,14 @@
 special_plugin_file_name = os.path.basename(__file__)
 
-command_line_parameters = [("-h", "host",),
-                           ("-u", "URL",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
+                           ("-u", "http_path",),
                            ("-p", "port",)]
 
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
-                            port_number) :
+                            port_number) : 
 
     http_paths = (http_path,) # X- use frozenset
Index: monitoring/plugins/mpi/check_clarin_discojuice_html.py
===================================================================
--- monitoring/plugins/mpi/check_clarin_discojuice_html.py	(revision 4056)
+++ monitoring/plugins/mpi/check_clarin_discojuice_html.py	(revision 4057)
@@ -7,12 +7,14 @@
 special_plugin_description = "Discojuice HTML"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",), 
-                           ("-u", "URL",), 
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",), 
+                           ("-u", "http_path",), 
                            ("-p", "port_number",)]
 
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
-                            port_number) :
+                            port_number) : 
 
     http_paths = (http_path,)
Index: monitoring/plugins/mpi/check_clarin_discojuice_json.py
===================================================================
--- monitoring/plugins/mpi/check_clarin_discojuice_json.py	(revision 4056)
+++ monitoring/plugins/mpi/check_clarin_discojuice_json.py	(revision 4057)
@@ -7,12 +7,13 @@
 special_plugin_description = "Discojuice JSON"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
-
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
-                            port_number) :
+                            port_number) : 
 
     http_paths = (http_path,)
Index: monitoring/plugins/mpi/check_clarin_vlo.py
===================================================================
--- monitoring/plugins/mpi/check_clarin_vlo.py	(revision 4056)
+++ monitoring/plugins/mpi/check_clarin_vlo.py	(revision 4057)
@@ -7,9 +7,11 @@
 special_plugin_file_name = os.path.basename(__file__)
 
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
                             port_number) : 
@@ -21,4 +23,5 @@
         map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host,
                                                                       http_path                 = http_path,
+                                                                      protocol                  = scheme, 
                                                                       HTTP_method               = "GET",
                                                                       port_number               = port_number,
Index: monitoring/plugins/mpi/check_lat_annex.py
===================================================================
--- monitoring/plugins/mpi/check_lat_annex.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_annex.py	(revision 4057)
@@ -7,10 +7,12 @@
 special_plugin_description = "Annex" 
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
                             port_number) : 
@@ -21,5 +23,6 @@
     results = \
         map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host,
-                                                                      http_path                 = http_path,
+                                                                      http_path                 = http_path, 
+                                                                      protocol                  = scheme, 
                                                                       HTTP_method               = "GET", 
                                                                       port_number               = port_number,
Index: monitoring/plugins/mpi/check_lat_avatech_clam.py
===================================================================
--- monitoring/plugins/mpi/check_lat_avatech_clam.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_avatech_clam.py	(revision 4057)
@@ -7,5 +7,6 @@
 special_plugin_description = "AVATecH CLAM"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
@@ -20,12 +21,13 @@
     ## Check status for all http_paths.
     results = \
-        map(lambda http_path : generic_tla_monitoring.check_condition(host                   = host,
-                                                                   http_path                 = http_path,
-                                                                   HTTP_method               = "GET", 
-                                                                   port_number               = port_number,
-                                                                   authorize                 = True,
-                                                                   validator                 = generic_tla_monitoring.check_XML_validity,
-                                                                   valid_root_element_tag    = valid_root_element_tag,
-                                                                   special_plugin_file_name  = special_plugin_file_name),
+        map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host,
+                                                                      http_path                 = http_path,
+                                                                      protocol                  = scheme, 
+                                                                      HTTP_method               = "GET", 
+                                                                      port_number               = port_number,
+                                                                      authorize                 = True,
+                                                                      validator                 = generic_tla_monitoring.check_XML_validity,
+                                                                      valid_root_element_tag    = valid_root_element_tag,
+                                                                      special_plugin_file_name  = special_plugin_file_name),
           http_paths)   
     
Index: monitoring/plugins/mpi/check_lat_cql_endpoint.py
===================================================================
--- monitoring/plugins/mpi/check_lat_cql_endpoint.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_cql_endpoint.py	(revision 4057)
@@ -8,10 +8,12 @@
 special_plugin_file_name = os.path.basename(__file__)
 CQL_namespace = "http://www.loc.gov/zing/srw/"
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
                             port_number) : 
@@ -26,4 +28,5 @@
         map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host,
                                                                       http_path                 = http_path,
+                                                                      protocol                  = scheme, 
                                                                       HTTP_method               = 'GET', 
                                                                       port_number               = port_number, 
Index: monitoring/plugins/mpi/check_lat_dobes.py
===================================================================
--- monitoring/plugins/mpi/check_lat_dobes.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_dobes.py	(revision 4057)
@@ -7,10 +7,12 @@
 special_plugin_description = "DoBeS"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
                             port_number) : 
Index: monitoring/plugins/mpi/check_lat_handle.py
===================================================================
--- monitoring/plugins/mpi/check_lat_handle.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_handle.py	(revision 4057)
@@ -7,5 +7,6 @@
 special_plugin_description = "Handle"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
@@ -14,5 +15,6 @@
 # Warning: old checking condition "if 300 <= r1.status and r1.status < 400:" X-
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
                             port_number) : 
@@ -26,4 +28,5 @@
         map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host, ## Always hdl.handle.net
                                                                       http_path                 = http_path, 
+                                                                      protocol                  = scheme, 
                                                                       HTTP_method               = 'POST', 
                                                                       port_number               = port_number, 
Index: monitoring/plugins/mpi/check_lat_imdi.py
===================================================================
--- monitoring/plugins/mpi/check_lat_imdi.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_imdi.py	(revision 4057)
@@ -7,11 +7,13 @@
 special_plugin_description = "IMDI browser"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
-                            port_number) :
+                            port_number) : 
 
     http_paths = (http_path,) 
@@ -24,9 +26,10 @@
     ## Check status for all http_paths.
     results = \
-        map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host,
-                                                                      http_path                 = http_path,
-                                                                      HTTP_method               = 'GET',
-                                                                      port_number               = port_number,
-                                                                      authorize                 = True,
+        map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host, 
+                                                                      http_path                 = http_path, 
+                                                                      protocol                  = scheme, 
+                                                                      HTTP_method               = 'GET', 
+                                                                      port_number               = port_number, 
+                                                                      authorize                 = True, 
                                                                       validator                 = generic_tla_monitoring.check_HTML_wellformedness,
                                                                       special_plugin_file_name  = special_plugin_file_name),
Index: monitoring/plugins/mpi/check_lat_lamus.py
===================================================================
--- monitoring/plugins/mpi/check_lat_lamus.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_lamus.py	(revision 4057)
@@ -7,10 +7,12 @@
 special_plugin_description = "Lamus"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
                             port_number) : 
@@ -22,4 +24,5 @@
         map(lambda http_path : generic_tla_monitoring.check_condition(host                     = host,
                                                                       http_path                = http_path,
+                                                                      protocol                 = scheme, 
                                                                       HTTP_method              = 'GET',
                                                                       port_number              = port_number,
Index: monitoring/plugins/mpi/check_lat_lexus.py
===================================================================
--- monitoring/plugins/mpi/check_lat_lexus.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_lexus.py	(revision 4057)
@@ -7,10 +7,12 @@
 special_plugin_description = "Lexus"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
                             port_number) : 
@@ -22,4 +24,5 @@
         map(lambda http_path : generic_tla_monitoring.check_condition(host                     = host,
                                                                       http_path                = http_path,
+                                                                      protocol                 = scheme, 
                                                                       HTTP_method              = 'GET',
                                                                       port_number              = port_number,
Index: monitoring/plugins/mpi/check_lat_oai_endpoint.py
===================================================================
--- monitoring/plugins/mpi/check_lat_oai_endpoint.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_oai_endpoint.py	(revision 4057)
@@ -8,5 +8,6 @@
 special_plugin_file_name = os.path.basename(__file__)
 OAI_namespace = "http://www.openarchives.org/OAI/2.0/"
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
@@ -27,4 +28,5 @@
                                                                       http_path                 = http_path,
                                                                       HTTP_method               = 'GET',
+                                                                      protocol                  = scheme, 
                                                                       port_number               = port_number,
                                                                       authorize                 = True,
Index: monitoring/plugins/mpi/check_lat_postgresql.py
===================================================================
--- monitoring/plugins/mpi/check_lat_postgresql.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_postgresql.py	(revision 4057)
@@ -7,11 +7,13 @@
 special_plugin_description = "LAT PostgreSQL database server"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number")]
 
 
-def special_main_subroutine(host, 
-                            http_path, 
+def special_main_subroutine(scheme, 
+                            host, 
+                            http_path,
                             port_number) : 
 
@@ -22,4 +24,5 @@
         map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host,
                                                                       http_path                 = http_path,
+                                                                      protocol                  = scheme, 
                                                                       HTTP_method               = "GET",
                                                                       port_number               = port_number,
Index: monitoring/plugins/mpi/check_lat_www.py
===================================================================
--- monitoring/plugins/mpi/check_lat_www.py	(revision 4056)
+++ monitoring/plugins/mpi/check_lat_www.py	(revision 4057)
@@ -7,10 +7,12 @@
 special_plugin_description = "TLA WWW"
 special_plugin_file_name = os.path.basename(__file__)
-command_line_parameters = [("-h", "host",),
+command_line_parameters = [("-s", "scheme"), 
+                           ("-h", "host",),
                            ("-u", "http_path",),
                            ("-p", "port_number",)]
 
 
-def special_main_subroutine(host, 
+def special_main_subroutine(scheme, 
+                            host, 
                             http_path,
                             port_number) : 
@@ -22,4 +24,5 @@
         map(lambda http_path : generic_tla_monitoring.check_condition(host                      = host,
                                                                       http_path                 = http_path,
+                                                                      protocol                  = scheme, 
                                                                       HTTP_method               = "GET",
                                                                       port_number               = port_number,
Index: monitoring/plugins/mpi/generic_tla_monitoring.py
===================================================================
--- monitoring/plugins/mpi/generic_tla_monitoring.py	(revision 4056)
+++ monitoring/plugins/mpi/generic_tla_monitoring.py	(revision 4057)
@@ -261,6 +261,8 @@
     return result
 
+
 def check_condition(host, 
-                    http_path,
+                    http_path, 
+                    protocol, 
                     HTTP_method,
                     port_number, 
@@ -294,9 +296,13 @@
     timestamp = datetime.datetime.today().isoformat()
     
-    try : 
-        conn = httplib.HTTPConnection(host = host, 
-                                      port = port_number, 
-                                      strict = True) # X- accomodate https?
-
+    try :
+        if protocol = 'http' :
+            conn = httplib.HTTPConnection(host = host, 
+                                          port = port_number, 
+                                          strict = True)
+        elif protocol = 'https' :
+            conn = httplib.HTTPSConnection(host = host, 
+                                           port = port_number, 
+                                           strict = True)
         request = conn.request(HTTP_method, 
                                http_path)
@@ -352,7 +358,6 @@
 
                 parsed_new_location_URL = urlparse.urlparse(new_location_URL)
-
                
-                if host == parsed_new_location_URL.netloc and http_path == parsed_new_location_URL.path :
+                if parsed_new_location_URL.scheme == protocol and host == parsed_new_location_URL.netloc and http_path == parsed_new_location_URL.path :
                     return {
                               "code"      : "CRITICAL", 
@@ -364,4 +369,5 @@
                     return check_condition(host        = parsed_new_location_URL.netloc, 
                                            http_path   = parsed_new_location_URL.path, 
+                                           protocol    = parsed_new_location_URL.scheme, 
                                            HTTP_method = HTTP_method, 
                                            port_number = port_number, 
Index: monitoring/plugins/mpi/plugins_hosts_services.tab
===================================================================
--- monitoring/plugins/mpi/plugins_hosts_services.tab	(revision 4056)
+++ monitoring/plugins/mpi/plugins_hosts_services.tab	(revision 4057)
@@ -1,20 +1,20 @@
-file name	description	-h	protocol	-u	-b	-d	-p
-check_lat_cql_endpoint.py	CQL endpoint	cqlservlet.mpi.nl	http	'/'			80
-check_lat_avatech_clam.py	AVATecH CLAM	catalog.clarin.eu	http	'/avatech/avatech_iais_fine_segmentation'			80
-check_lat_lexus.py	Lexus	corpus1.mpi.nl	http	'/mpi/lexusDojo/'			80
-check_lat_lamus.py	Lamus	corpus1.mpi.nl	http	'/jkc/lamus/lamusstart.jsp'			80
-check_lat_imdi.py	IMDI browser [staging]	lux17.mpi.nl	http 	'/ds/imdi_browser/viewcontroller?request=view&nodeid=MPI299144%23'			80
-check_lat_imdi.py	IMDI browser [production]	corpus1.mpi.nl	http	'/ds/imdi_browser/viewcontroller?request=view&nodeid=MPI299144%23'			80
-check_lat_handle.py	Handle	hdl.handle.net	http	'/?hdl=1839%2F00-0000-0000-0000-0000-4&auth=x'			80
-check_lat_annex.py	Annex	corpus1.mpi.nl	http	'/ds/annex/runLoader?nodeid=MPI600401%23'			80
-check_lat_oai_endpoint.py	OAI-PMH	corpus1.mpi.nl	http 	'/ds/oaiprovider/oai2?verb=Identify'			80
-check_clarin_saml.py	SAML	infra.clarin.eu	https	'/aai/clarin-sp-metadata.xml'		/srv/www/infra.clarin.eu/	80
-check_clarin_discojuice_html.py	Discojuice HTML 1	catalog.clarin.eu	http	'/mw1/sds/discojuice'			80
-check_clarin_discojuice_html.py	Discojuice HTML 2	catalog.clarin.eu	http	'/mw2/sds/discojuice'			
-check_clarin_discojuice_json.py	Discojuice JSON 1	catalog.clarin.eu	http	'/discojuice/metadata_clarin1.json'			80
-check_clarin_discojuice_json.py	Discojuice JSON 2	catalog.clarin.eu	http	'/discojuice/metadata_clarin2.json'			80
-check_clarin_vlo.py	Virtual Language Observatory	catalog.clarin.eu	http 	'/vlo/'			
-check_clarin_comp_reg.py	Component Registry	catalog.clarin.eu	http	'/ds/ComponentRegistry/'			80
-check_clarin_ldap.py	LDAP directory	user.clarin.eu	ldap		'cn=Directory Manager'		80
-check_lat_dobes.py	DoBeS	dobes.mpi.nl	http	'/'			80
-check_lat_postgresql.py	LAT PostgreSQL database server	lux08.mpi.nl	http	'/rest/'			8984
+file name	description	-s	-h	-u	-b	-d	-p
+check_lat_cql_endpoint.py	http	CQL endpoint	cqlservlet.mpi.nl	'/'			80
+check_lat_avatech_clam.py	http	AVATecH CLAM	catalog.clarin.eu	'/avatech/avatech_iais_fine_segmentation'			80
+check_lat_lexus.py	Lexus	http	corpus1.mpi.nl	'/mpi/lexusDojo/'			80
+check_lat_lamus.py	Lamus	http	corpus1.mpi.nl	'/jkc/lamus/lamusstart.jsp'			80
+check_lat_imdi.py	IMDI browser [staging]	http	lux17.mpi.nl	'/ds/imdi_browser/viewcontroller?request=view&nodeid=MPI299144%23'			80
+check_lat_imdi.py	IMDI browser [production]	http	corpus1.mpi.nl	'/ds/imdi_browser/viewcontroller?request=view&nodeid=MPI299144%23'			80
+check_lat_handle.py	Handle	http	hdl.handle.net	'/?hdl=1839%2F00-0000-0000-0000-0000-4&auth=x'			80
+check_lat_annex.py	Annex	http	corpus1.mpi.nl	'/ds/annex/runLoader?nodeid=MPI600401%23'			80
+check_lat_oai_endpoint.py	OAI-PMH	http	corpus1.mpi.nl 	'/ds/oaiprovider/oai2?verb=Identify'			80
+check_clarin_saml.py	SAML	https	infra.clarin.eu	'/aai/clarin-sp-metadata.xml'		/srv/www/infra.clarin.eu/	80
+check_clarin_discojuice_html.py	Discojuice HTML 1	http	catalog.clarin.eu	'/mw1/sds/discojuice'			80
+check_clarin_discojuice_html.py	Discojuice HTML 2	http	catalog.clarin.eu	'/mw2/sds/discojuice'			
+check_clarin_discojuice_json.py	Discojuice JSON 1	http	catalog.clarin.eu	'/discojuice/metadata_clarin1.json'			80
+check_clarin_discojuice_json.py	Discojuice JSON 2	http	catalog.clarin.eu	'/discojuice/metadata_clarin2.json'			80
+check_clarin_vlo.py	Virtual Language Observatory	http	catalog.clarin.eu 	'/vlo/'			
+check_clarin_comp_reg.py	Component Registry	http	catalog.clarin.eu	'/ds/ComponentRegistry/'			80
+check_clarin_ldap.py	LDAP directory	http	user.clarin.eu	ldap		'cn=Directory Manager'		80
+check_lat_dobes.py	DoBeS	http	dobes.mpi.nl	http	'/'			80
+check_lat_postgresql.py	LAT PostgreSQL database server	http	lux08.mpi.nl	'/rest/'			8984