Index: SMC4LRT/chapters/collection_instance.xml.tex
===================================================================
--- SMC4LRT/chapters/collection_instance.xml.tex	(revision 4118)
+++ SMC4LRT/chapters/collection_instance.xml.tex	(revision 4118)
@@ -0,0 +1,101 @@
+\lstset{language=XML}
+\begin{lstlisting}[label=lst:collection-instance, caption=A sample CMD record (collection profile)]
+<CMD xmlns="http://www.clarin.eu/cmd/" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        CMDVersion="1.1" xsi:schemaLocation="http://www.clarin.eu/cmd/
+        http://catalog.clarin.eu/ds/ComponentRegistry/rest \_
+        \_ /registry/profiles/clarin.eu:cr1:p_1345561703620/xsd">
+  <Header>
+    <MdCreator>Dieter</MdCreator>
+    <MdCreationDate>2012-08-23</MdCreationDate>
+    <MdSelfLink>tla.mpi.nl:collections:esf</MdSelfLink>
+    <MdProfile>clarin.eu:cr1:p_1345561703620</MdProfile>
+    <MdCollectionDisplayName>TLA Collections</MdCollectionDisplayName>
+  </Header>
+  <Resources>
+    <ResourceProxyList>
+      <ResourceProxy id="cmdi">
+        <ResourceType>Metadata</ResourceType>
+        <ResourceRef>hdl:1839/00-0000-0000-0008-7CF8-E@format=cmdi</ResourceRef>
+      </ResourceProxy>
+      <ResourceProxy id="entry">
+        <ResourceType>Resource</ResourceType>
+        <ResourceRef>http://corpus1.mpi.nl/ds/imdi_browser?openpath=MPI1377055%23
+        </ResourceRef>
+      </ResourceProxy>
+      <ResourceProxy id="design">
+        <ResourceType>Resource</ResourceType>
+        <ResourceRef>
+           http://corpus1.mpi.nl/qfs1/media-archive/acqui_data/ac-ESF/Info/esf.html
+        </ResourceRef>
+      </ResourceProxy>
+      <ResourceProxy id="searchpage">
+        <ResourceType>SearchPage</ResourceType>
+        <ResourceRef>
+            http://corpus1.mpi.nl/ds/trova/search.jsp?nodeid=MPI1377055%23
+        </ResourceRef>
+      </ResourceProxy>
+      <ResourceProxy id="sru">
+        <ResourceType>SearchService</ResourceType>
+        <ResourceRef>http://cqlservlet.mpi.nl/</ResourceRef>
+      </ResourceProxy>
+    </ResourceProxyList>
+    <JournalFileProxyList/>
+    <ResourceRelationList/>
+ </Resources>
+ <Components>
+  <collection>
+    <CollectionInfo>
+      <Name xml:lang="eng">The European Science Foundation Second Language Database</Name>
+      <ISO639>
+        <iso-639-3-code>eng</iso-639-3-code>
+      </ISO639>
+      <ISO639>
+        <iso-639-3-code>deu</iso-639-3-code>
+      </ISO639>
+      <ISO639>
+        <iso-639-3-code>nld</iso-639-3-code>
+      </ISO639>
+      <ISO639>
+        <iso-639-3-code>fra</iso-639-3-code>
+      </ISO639>
+      <ISO639>
+        <iso-639-3-code>swe</iso-639-3-code>
+      </ISO639>
+      <Modality>
+        <Modality>Spoken</Modality>
+      </Modality>
+      <TimeCoverage>
+        <StartYear>1992</StartYear>
+        <EndYear>1998</EndYear>
+      </TimeCoverage>
+      <Description>
+        <Description xml:lang="eng">The European Science Foundation Second Language
+          Acquisition by Adult Immigrants collected spontaneous second language
+          acquisition data of forty adult immigrant workers living in Western Europe.
+          The program ran over 5 1/2 years and was preceded by a one-year pilot study.
+          It had been planned as a longitudinal comparative study in five European
+          countries: France, (Federal Republic of) Germany, Great Britain, The
+          Netherlands, and Sweden. Financial support came from the
+          Max-Planck-Gesellschaft (Germany) and the research councils of France
+          (CNRS), The Netherlands (NWO), Switzerland (FNS), and Norway
+          (NAVS).</Description>
+      </Description>
+    </CollectionInfo>
+    <License>
+      <DistributionType>public</DistributionType>
+      <LicenseName/>
+      <LicenseURL/>
+    </License>
+    <WebReference ref="design">
+      <Website/>
+      <Description>Corpus Design</Description>
+    </WebReference>
+    <WebReference ref="entry">
+      <Website/>
+      <Description>Entry page</Description>
+    </WebReference>
+  </collection>
+ </Components>
+</CMD>
+\end{lstlisting}
Index: SMC4LRT/chapters/collection_spec.xml.tex
===================================================================
--- SMC4LRT/chapters/collection_spec.xml.tex	(revision 4118)
+++ SMC4LRT/chapters/collection_spec.xml.tex	(revision 4118)
@@ -0,0 +1,176 @@
+\lstset{language=XML}
+\begin{lstlisting}[label=lst:collection-spec, caption=Specification of the collection profile]
+<?xml version="1.0" encoding="UTF-8"?>
+<CMD_ComponentSpec xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" isProfile="true"
+  xsi:schemaLocation="http://www.clarin.eu/cmd 
+  https://infra.clarin.eu/cmd/general-component-schema.xsd">
+  <Header>
+    <ID>clarin.eu:cr1:p_1345561703620</ID>
+    <Name>collection</Name>
+    <Description>standard profile for the description of collections</Description>
+  </Header>
+  <CMD_Component CardinalityMax="1" CardinalityMin="1" name="collection">
+    <CMD_Component CardinalityMax="1" CardinalityMin="1"
+      ComponentId="clarin.eu:cr1:c_1345561703619" name="CollectionInfo">
+      <CMD_Element Multilingual="true" DisplayPriority="2" Documentation="Collection name"
+        CardinalityMin="1" CardinalityMax="unbounded" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2544" name="Name"/>
+      <CMD_Element Multilingual="true" DisplayPriority="1"
+        Documentation="Allows a more elaborate description than Name"
+        CardinalityMax="unbounded" CardinalityMin="0" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2545" name="Title"/>
+      <CMD_Element Multilingual="true"
+        Documentation="Person or organisation that owns the collection"
+        CardinalityMax="unbounded" CardinalityMin="0" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2956" name="Owner"/>
+      <CMD_Component CardinalityMax="unbounded" CardinalityMin="0"
+        ComponentId="clarin.eu:cr1:c_1271859438110" name="ISO639">
+        <CMD_Element DisplayPriority="1" CardinalityMax="1" CardinalityMin="1"
+          ConceptLink="http://www.isocat.org/datcat/DC-2482" name="iso-639-3-code">
+          <ValueScheme>
+            <enumeration>
+              <item AppInfo="Ghotuo (aaa)"
+                ConceptLink="http://cdb.iso.org/lg/CDB-00132443-001">aaa</item>
+              <item AppInfo="Alumu-Tesu (aab)"
+                ConceptLink="http://cdb.iso.org/lg/CDB-00133770-001">aab</item> ...
+              [7.674 items] <item AppInfo="Zyphe (zyp)"
+                ConceptLink="http://cdb.iso.org/lg/CDB-00136139-001">zyp</item>
+              <item AppInfo="Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki (zza)"
+                ConceptLink="http://cdb.iso.org/lg/CDB-00131000-001">zza</item>
+              <item AppInfo="Zuojiang Zhuang (zzj)"
+                ConceptLink="http://cdb.iso.org/lg/CDB-00136140-001">zzj</item>
+            </enumeration>
+          </ValueScheme>
+        </CMD_Element>
+      </CMD_Component>
+      <CMD_Component CardinalityMax="1" CardinalityMin="0"
+        ComponentId="clarin.eu:cr1:c_1271859438127" name="Modality">
+        <CMD_Element CardinalityMax="unbounded" CardinalityMin="1"
+          ConceptLink="http://www.isocat.org/datcat/DC-2490" name="Modality">
+          <ValueScheme>
+            <enumeration>
+              <item ConceptLink="http://www.isocat.org/datcat/DC-2591">Unknown</item>
+              <item ConceptLink="http://www.isocat.org/datcat/DC-2592"
+                >Unspecified</item>
+              <item>Spoken</item>
+              <item>Written</item>
+              <item>Music notation</item>
+              <item ConceptLink="http://www.isocat.org/datcat/DC-2994">Gestures</item>
+              <item>Pointing-gestures</item>
+              <item>Signs</item>
+              <item ConceptLink="http://www.isocat.org/datcat/DC-2977">Eye-gaze</item>
+              <item>Facial-expressions</item>
+              <item>Emotional-state</item>
+              <item>Haptic</item>
+              <item>Song</item>
+              <item ConceptLink="http://www.isocat.org/datcat/DC-2611">Instrumental
+                music</item>
+              <item ConceptLink="http://www.isocat.org/datcat/DC-2599">Other</item>
+            </enumeration>
+          </ValueScheme>
+        </CMD_Element>
+        <CMD_Component CardinalityMax="1" CardinalityMin="0"
+          ConceptLink="http://www.isocat.org/datcat/DC-2520"
+          ComponentId="clarin.eu:cr1:c_1271859438118" name="Description">
+          <CMD_Element Multilingual="true" CardinalityMax="1" CardinalityMin="1"
+            ValueScheme="string" ConceptLink="http://www.isocat.org/datcat/DC-2520"
+            name="Description">
+            <AttributeList>
+              <Attribute>
+                <Name>LanguageID</Name>
+                <Type>string</Type>
+              </Attribute>
+            </AttributeList>
+          </CMD_Element>
+        </CMD_Component>
+      </CMD_Component>
+      <CMD_Component CardinalityMax="1" CardinalityMin="0"
+        ConceptLink="http://www.isocat.org/datcat/DC-2502" name="TimeCoverage">
+        <CMD_Element DisplayPriority="1"
+          Documentation="The start of the timespan that the resource is about (yyyy)"
+          CardinalityMax="1" CardinalityMin="0" ValueScheme="gYear" name="StartYear"/>
+        <CMD_Element
+          Documentation="The end of the timespan that the resource is about (yyyy)"
+          CardinalityMax="1" CardinalityMin="0" ValueScheme="gYear" name="EndYear"/>
+      </CMD_Component>
+      <CMD_Component CardinalityMax="1" CardinalityMin="0"
+        ConceptLink="http://www.isocat.org/datcat/DC-2520"
+        ComponentId="clarin.eu:cr1:c_1271859438118" name="Description">
+        <CMD_Element Multilingual="true" CardinalityMax="1" CardinalityMin="1"
+          ValueScheme="string" ConceptLink="http://www.isocat.org/datcat/DC-2520"
+          name="Description">
+          <AttributeList>
+            <Attribute>
+              <Name>LanguageID</Name>
+              <Type>string</Type>
+            </Attribute>
+          </AttributeList>
+        </CMD_Element>
+      </CMD_Component>
+    </CMD_Component>
+    <CMD_Component CardinalityMax="1" CardinalityMin="1"
+      ComponentId="clarin.eu:cr1:c_1345561703649" name="License">
+      <CMD_Element DisplayPriority="4" CardinalityMax="1" CardinalityMin="1"
+        ConceptLink="http://www.isocat.org/datcat/DC-5439" name="DistributionType">
+        <ValueScheme>
+          <enumeration>
+            <item AppInfo="openly available"
+              ConceptLink="http://www.isocat.org/datcat/DC-2621">public</item>
+            <item AppInfo="available for academic use"
+              ConceptLink="http://www.isocat.org/datcat/DC-5438">academic</item>
+            <item AppInfo="only available for license owners"
+              ConceptLink="http://www.isocat.org/datcat/DC-5306">restricted</item>
+            <item AppInfo="no availability information specified"
+              ConceptLink="http://www.isocat.org/datcat/DC-2592">unspecified</item>
+          </enumeration>
+        </ValueScheme>
+      </CMD_Element>
+      <CMD_Element Multilingual="false" DisplayPriority="3"
+        Documentation="Name of the license. Eg: GPL, CC-BY-SA, BSD, ELRA_END_USER"
+        CardinalityMax="1" CardinalityMin="1" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2457" name="LicenseName"/>
+      <CMD_Element Documentation="URL where the license can be retrieved, 
+                                                     eg http://creativecommons.org/licenses/by/3.0/"
+        CardinalityMax="1" CardinalityMin="1" ValueScheme="anyURI" name="LicenseURL"/>
+      <CMD_Element Documentation="Use of this resource is 
+                                                     not allowed for commercial purposes."
+        CardinalityMax="1" CardinalityMin="0" ValueScheme="boolean"
+        name="NonCommercialUsageOnly"/>
+      <CMD_Element Documentation="The user needs to report usage 
+                                                     to the resource producer."
+        CardinalityMax="1" CardinalityMin="0" ValueScheme="boolean"
+        name="UsageReportRequired"/>
+      <CMD_Element Documentation="If the resource is changed, it should be made 
+                                                     available again in the altered version."
+        CardinalityMax="1" CardinalityMin="0" ValueScheme="boolean"
+        name="ModificationsRequireRedeposition"/>
+    </CMD_Component>
+    <CMD_Component CardinalityMax="1" CardinalityMin="0"
+      ComponentId="clarin.eu:cr1:c_1271859438113" name="Contact">
+      <CMD_Element CardinalityMax="unbounded" CardinalityMin="0" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2978" name="Person"/>
+      <CMD_Element CardinalityMax="unbounded" CardinalityMin="0" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2505" name="Address"/>
+      <CMD_Element CardinalityMax="unbounded" CardinalityMin="0" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2521" name="Email"/>
+      <CMD_Element Multilingual="true" CardinalityMax="unbounded" CardinalityMin="0"
+        ValueScheme="string" ConceptLink="http://www.isocat.org/datcat/DC-2979"
+        name="Organisation"/>
+      <CMD_Element CardinalityMax="unbounded" CardinalityMin="0" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2461" name="Telephone"/>
+      <CMD_Element CardinalityMax="unbounded" CardinalityMin="0" ValueScheme="anyURI"
+        ConceptLink="http://www.isocat.org/datcat/DC-63" name="Website"/>
+    </CMD_Component>
+    <CMD_Component CardinalityMax="unbounded" CardinalityMin="0"
+      ComponentId="clarin.eu:cr1:c_1316422391221" name="WebReference">
+      <CMD_Element Documentation="A URL (e.g. http://www.clarin.eu)"
+        CardinalityMax="1" CardinalityMin="1" ValueScheme="anyURI"
+        ConceptLink="http://www.isocat.org/datcat/DC-2546" name="Website"/>
+      <CMD_Element Multilingual="true" DisplayPriority="1"
+        Documentation="A description: what is this website about"
+        CardinalityMax="1" CardinalityMin="1" ValueScheme="string"
+        ConceptLink="http://www.isocat.org/datcat/DC-2520" name="Description"/>
+    </CMD_Component>
+  </CMD_Component>
+</CMD_ComponentSpec>
+\end{lstlisting}