Index: SMC4LRT/images/Terms.xsd.tex
===================================================================
--- SMC4LRT/images/Terms.xsd.tex	(revision 4118)
+++ SMC4LRT/images/Terms.xsd.tex	(revision 4119)
@@ -1,9 +1,52 @@
+%<?xml version="1.0" encoding="UTF-8"?>
 \lstset{language=XML}
 \begin{lstlisting}[label=lst:terms-schema, caption=Terms.xsd -- schema of the internal data model \ref{datamodel-terms}]
-<?xml version="1.0" encoding="UTF-8"?>
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" 
-elementFormDefault="qualified" xmlns:ns2="http://www.w3.org/1999/xlink">
+      elementFormDefault="qualified"  xmlns:ns2="http://www.w3.org/1999/xlink">
   <xs:import namespace="http://www.w3.org/1999/xlink" schemaLocation="ns2.xsd"/>
   <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="xml.xsd"/>
+  
+  <xs:element name="Term">
+    <xs:complexType mixed="true">      
+      <xs:attribute name="datcat" type="xs:anyURI"/>
+      <xs:attribute name="id" type="xs:anyURI"/>      
+      <xs:attribute name="name" type="xs:NCName"/>
+      <xs:attribute name="parent" type="xs:NCName"/>/>
+      <xs:attribute name="path" type="xs:NCName"/>
+      <xs:attribute name="schema" type="xs:NMTOKEN"/>
+      <xs:attribute name="set" type="xs:NCName"/>
+      <xs:attribute name="type" use="required" type="xs:NCName"/>      
+      <xs:attribute ref="xml:lang"/>
+    </xs:complexType>
+  </xs:element>
+  
+  <xs:element name="Concept">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element maxOccurs="unbounded" ref="Term"/>
+        <xs:element minOccurs="0" maxOccurs="unbounded" ref="info"/>
+      </xs:sequence>      
+      <xs:attribute name="id" use="required" type="xs:anyURI"/>
+      <xs:attribute name="type" use="required" type="xs:NCName"/>
+    </xs:complexType>
+  </xs:element>
+  
+  <xs:element name="info">
+    <xs:complexType mixed="true">
+      <xs:sequence>
+        <xs:any namespace="##other" processContents="lax"/>
+      </xs:sequence>
+      <xs:attribute ref="xml:lang"/>
+    </xs:complexType>
+  </xs:element>
+  
+  <xs:element name="Relation">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element minOccurs="2" maxOccurs="unbounded" ref="Concept"/>        
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  
   <xs:element name="Termsets">
     <xs:complexType>
@@ -14,5 +57,5 @@
       <xs:attribute name="type" type="xs:NCName"/>
     </xs:complexType>
-  </xs:element>
+  </xs:element>  
   <xs:element name="Termset">
     <xs:complexType>
@@ -27,59 +70,5 @@
       <xs:attribute name="name"/>
       <xs:attribute name="set" type="xs:NCName"/>
-      <xs:attribute name="type" type="xs:NCName"/>
-      <xs:attribute name="url" type="xs:anyURI"/>
-    </xs:complexType>
-  </xs:element>
-  <xs:element name="Concept">
-    <xs:complexType>
-      <xs:sequence>
-        <xs:element maxOccurs="unbounded" ref="Term"/>
-        <xs:element minOccurs="0" maxOccurs="unbounded" ref="info"/>
-      </xs:sequence>
-      <xs:attribute name="datcat-type" type="xs:NCName"/>
-      <xs:attribute name="id" use="required" type="xs:anyURI"/>
-      <xs:attribute name="type" use="required" type="xs:NCName"/>
-    </xs:complexType>
-  </xs:element>
-  <xs:element name="info">
-    <xs:complexType mixed="true">
-      <xs:choice minOccurs="0" maxOccurs="unbounded">
-        <xs:element ref="commentsCount"/>
-        <xs:element ref="creatorName"/>
-        <xs:element ref="description"/>
-        <xs:element ref="domainName"/>
-        <xs:element ref="groupName"/>
-        <xs:element ref="id"/>
-        <xs:element ref="name"/>
-        <xs:element ref="registrationDate"/>
-        <xs:element ref="showInEditor"/>
-        <xs:element ref="userId"/>
-        <xs:element ref="ns2:href"/>
-      </xs:choice>
-      <xs:attribute ref="xml:lang"/>
-    </xs:complexType>
-  </xs:element>
-  <xs:element name="commentsCount" type="xs:integer"/>
-  <xs:element name="creatorName" type="xs:string"/>
-  <xs:element name="description" type="xs:string"/>
-  <xs:element name="domainName" type="xs:string"/>
-  <xs:element name="groupName" type="xs:string"/>
-  <xs:element name="id" type="xs:anyURI"/>
-  <xs:element name="name" type="xs:NCName"/>
-  <xs:element name="registrationDate" type="xs:dateTime"/>
-  <xs:element name="showInEditor" type="xs:boolean"/>
-  <xs:element name="userId" type="xs:integer"/>
-  <xs:element name="Term">
-    <xs:complexType mixed="true">
-      <xs:attribute name="datcat" type="xs:anyURI"/>
-      <xs:attribute name="elem" type="xs:NCName"/>
-      <xs:attribute name="id" type="xs:anyURI"/>
-      <xs:attribute name="name" type="xs:NCName"/>
-      <xs:attribute name="parent"/>
-      <xs:attribute name="path" type="xs:NCName"/>
-      <xs:attribute name="schema" type="xs:NMTOKEN"/>
-      <xs:attribute name="set" type="xs:NCName"/>
-      <xs:attribute name="type" use="required" type="xs:NCName"/>
-      <xs:attribute ref="xml:lang"/>
+      <xs:attribute name="type" type="xs:NCName"/>  
     </xs:complexType>
   </xs:element>